require "generators/blog_io/install_generator"
require "blog_io"

describe "install_generator" do
  before :all do
    @install_generator =  BlogIo::Generators::InstallGenerator.new
    @get_data = {'post'=>{'name'=>'post', 'pkey'=>'post_id'},
      'attachment'=>{'name'=>'attach', 'pkey'=>'attach_id'},
      'user'=>{'name'=>'user', 'pkey'=>'user_id'},
      'comment'=>{'name'=>'comment', 'pkey'=>'comment_id'},}
    @file_path = BlogIo::FIXTURE_MODEL_PATH
  end

  it 'checks database connection' do
    flag = @install_generator.check_db_connection("spec/fixtures")
    expect(flag).to be_true
  end

  it "should add data in models file" do
    @install_generator.add_models_data("spec/fixtures", @get_data)
    expect(File.read(@file_path)).to include("include BlogDbConnect")
    expect(File.read(@file_path)).to include("connect_to_db('posts')")
  end
end
